version: "3.4"


services:
  queues:
    image: mathwave/sprint-repo:queues
    networks:
      - queues-development
    environment:
      MONGO_HOST: "mongo.develop.sprinthub.ru"
      MONGO_PASSWORD: $MONGO_PASSWORD_DEV
      STAGE: "development"
    deploy:
      mode: replicated
      restart_policy:
        condition: any
      update_config:
        parallelism: 1
        order: start-first

networks:
  queues-development:
    external: true
